## i-cal-derived-value

i-cal-derived-value

## Functions

void | i_cal_value_set_x ()
ICalValue * | i_cal_value_new_x ()
const gchar * | i_cal_value_get_x ()
void | i_cal_value_set_recur ()
ICalValue * | i_cal_value_new_recur ()
ICalRecurrence * | i_cal_value_get_recur ()
void | i_cal_value_set_trigger ()
ICalValue * | i_cal_value_new_trigger ()
ICalTrigger * | i_cal_value_get_trigger ()
void | i_cal_value_set_datetime ()
ICalValue * | i_cal_value_new_datetime ()
ICalTime * | i_cal_value_get_datetime ()
void | i_cal_value_set_datetimedate ()
ICalValue * | i_cal_value_new_datetimedate ()
ICalTime * | i_cal_value_get_datetimedate ()
void | i_cal_value_set_datetimeperiod ()
ICalValue * | i_cal_value_new_datetimeperiod ()
ICalDatetimeperiod * | i_cal_value_get_datetimeperiod ()
void | i_cal_value_set_geo ()
ICalValue * | i_cal_value_new_geo ()
ICalGeo * | i_cal_value_get_geo ()
void | i_cal_value_set_attach ()
ICalValue * | i_cal_value_new_attach ()
ICalAttach * | i_cal_value_get_attach ()
void | i_cal_value_reset_kind ()
void | i_cal_value_set_xlicclass ()
ICalValue * | i_cal_value_new_xlicclass ()
ICalPropertyXlicclass | i_cal_value_get_xlicclass ()
void | i_cal_value_set_boolean ()
ICalValue * | i_cal_value_new_boolean ()
gint | i_cal_value_get_boolean ()
void | i_cal_value_set_busytype ()
ICalValue * | i_cal_value_new_busytype ()
ICalPropertyBusytype | i_cal_value_get_busytype ()
void | i_cal_value_set_pollcompletion ()
ICalValue * | i_cal_value_new_pollcompletion ()
ICalPropertyPollcompletion | i_cal_value_get_pollcompletion ()
void | i_cal_value_set_taskmode ()
ICalValue * | i_cal_value_new_taskmode ()
ICalPropertyTaskmode | i_cal_value_get_taskmode ()
void | i_cal_value_set_pollmode ()
ICalValue * | i_cal_value_new_pollmode ()
ICalPropertyPollmode | i_cal_value_get_pollmode ()
void | i_cal_value_set_utcoffset ()
ICalValue * | i_cal_value_new_utcoffset ()
gint | i_cal_value_get_utcoffset ()
void | i_cal_value_set_method ()
ICalValue * | i_cal_value_new_method ()
ICalPropertyMethod | i_cal_value_get_method ()
void | i_cal_value_set_caladdress ()
ICalValue * | i_cal_value_new_caladdress ()
const gchar * | i_cal_value_get_caladdress ()
void | i_cal_value_set_period ()
ICalValue * | i_cal_value_new_period ()
ICalPeriod * | i_cal_value_get_period ()
void | i_cal_value_set_status ()
ICalValue * | i_cal_value_new_status ()
ICalPropertyStatus | i_cal_value_get_status ()
void | i_cal_value_set_binary ()
ICalValue * | i_cal_value_new_binary ()
const gchar * | i_cal_value_get_binary ()
void | i_cal_value_set_text ()
ICalValue * | i_cal_value_new_text ()
const gchar * | i_cal_value_get_text ()
void | i_cal_value_set_duration ()
ICalValue * | i_cal_value_new_duration ()
ICalDuration * | i_cal_value_get_duration ()
void | i_cal_value_set_integer ()
ICalValue * | i_cal_value_new_integer ()
gint | i_cal_value_get_integer ()
void | i_cal_value_set_uri ()
ICalValue * | i_cal_value_new_uri ()
const gchar * | i_cal_value_get_uri ()
void | i_cal_value_set_class ()
ICalValue * | i_cal_value_new_class ()
ICalProperty_Class | i_cal_value_get_class ()
void | i_cal_value_set_float ()
ICalValue * | i_cal_value_new_float ()
gdouble | i_cal_value_get_float ()
void | i_cal_value_set_query ()
ICalValue * | i_cal_value_new_query ()
const gchar * | i_cal_value_get_query ()
void | i_cal_value_set_string ()
ICalValue * | i_cal_value_new_string ()
const gchar * | i_cal_value_get_string ()
void | i_cal_value_set_transp ()
ICalValue * | i_cal_value_new_transp ()
ICalPropertyTransp | i_cal_value_get_transp ()
void | i_cal_value_set_requeststatus ()
ICalValue * | i_cal_value_new_requeststatus ()
ICalReqstat * | i_cal_value_get_requeststatus ()
void | i_cal_value_set_date ()
ICalValue * | i_cal_value_new_date ()
ICalTime * | i_cal_value_get_date ()
void | i_cal_value_set_action ()
ICalValue * | i_cal_value_new_action ()
ICalPropertyAction | i_cal_value_get_action ()
void | i_cal_value_set_cmd ()
ICalValue * | i_cal_value_new_cmd ()
ICalPropertyCmd | i_cal_value_get_cmd ()
void | i_cal_value_set_querylevel ()
ICalValue * | i_cal_value_new_querylevel ()
ICalPropertyQuerylevel | i_cal_value_get_querylevel ()
void | i_cal_value_set_carlevel ()
ICalValue * | i_cal_value_new_carlevel ()
ICalPropertyCarlevel | i_cal_value_get_carlevel ()

## Types and Values

enum | ICalValueKind
enum | ICalPropertyAction
enum | ICalPropertyBusytype
enum | ICalPropertyCarlevel
enum | ICalProperty_Class
enum | ICalPropertyCmd
enum | ICalPropertyMethod
enum | ICalPropertyPollcompletion
enum | ICalPropertyPollmode
enum | ICalPropertyQuerylevel
enum | ICalPropertyStatus
enum | ICalPropertyTaskmode
enum | ICalPropertyTransp
enum | ICalPropertyXlicclass

## Description

## Functions

### i_cal_value_set_x ()

    void
    i_cal_value_set_x (ICalValue *value,
                       const gchar *v);

Sets the x in the ICalValue.

#### Parameters

value | The ICalValue |
v | The x value |

Since: 1.0

### i_cal_value_new_x ()

    ICalValue *
    i_cal_value_new_x (const gchar *v);

Creates a new ICalValue with the type x.

#### Parameters

v | The x value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_x ()

    const gchar *
    i_cal_value_get_x (ICalValue *value);

Gets the x of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The x within ICalValue.

[nullable][transfer none]

Since: 1.0

### i_cal_value_set_recur ()

    void
    i_cal_value_set_recur (ICalValue *value,
                           ICalRecurrence *v);

Sets the recur in the ICalValue.

#### Parameters

value | The ICalValue |
v | The recur value |

Since: 1.0

### i_cal_value_new_recur ()

    ICalValue *
    i_cal_value_new_recur (ICalRecurrence *v);

Creates a new ICalValue with the type recur.

#### Parameters

v | The recur value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_recur ()

    ICalRecurrence *
    i_cal_value_get_recur (ICalValue *value);

Gets the recur of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The recur within ICalValue.

[nullable][transfer full]

Since: 1.0

### i_cal_value_set_trigger ()

    void
    i_cal_value_set_trigger (ICalValue *value,
                             ICalTrigger *v);

Sets the trigger in the ICalValue.

#### Parameters

value | The ICalValue |
v | The trigger value |

Since: 1.0

### i_cal_value_new_trigger ()

    ICalValue *
    i_cal_value_new_trigger (ICalTrigger *v);

Creates a new ICalValue with the type trigger.

#### Parameters

v | The trigger value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_trigger ()

    ICalTrigger *
    i_cal_value_get_trigger (ICalValue *value);

Gets the trigger of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The trigger within ICalValue.

[nullable][transfer full]

Since: 1.0

### i_cal_value_set_datetime ()

    void
    i_cal_value_set_datetime (ICalValue *value,
                              ICalTime *v);

Sets the datetime in the ICalValue.

#### Parameters

value | The ICalValue |
v | The datetime value |

Since: 1.0

### i_cal_value_new_datetime ()

    ICalValue *
    i_cal_value_new_datetime (ICalTime *v);

Creates a new ICalValue with the type datetime.

#### Parameters

v | The datetime value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_datetime ()

    ICalTime *
    i_cal_value_get_datetime (ICalValue *value);

Gets the datetime of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The datetime within ICalValue.

[nullable][transfer full]

Since: 1.0

### i_cal_value_set_datetimedate ()

    void
    i_cal_value_set_datetimedate (ICalValue *value,
                                  ICalTime *v);

Sets the datetimedate (DATE-TIME or DATE) in the ICalValue.

#### Parameters

value | The ICalValue |
v | The datetimedate (DATE-TIME or DATE) value |

Since: 3.0

### i_cal_value_new_datetimedate ()

    ICalValue *
    i_cal_value_new_datetimedate (ICalTime *v);

Creates a new ICalValue with the type datetimedate (DATE-TIME or DATE).

#### Parameters

v | The DATE-TIME or DATE value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 3.0

### i_cal_value_get_datetimedate ()

    ICalTime *
    i_cal_value_get_datetimedate (ICalValue *value);

Gets the datetimedate (DATE-TIME or DATE) of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The datetimedate within ICalValue.

[nullable][transfer full]

Since: 3.0

### i_cal_value_set_datetimeperiod ()

    void
    i_cal_value_set_datetimeperiod (ICalValue *value,
                                    ICalDatetimeperiod *v);

Sets the datetimeperiod in the ICalValue.

#### Parameters

value | The ICalValue |
v | The datetimeperiod value |

Since: 1.0

### i_cal_value_new_datetimeperiod ()

    ICalValue *
    i_cal_value_new_datetimeperiod (ICalDatetimeperiod *v);

Creates a new ICalValue with the type datetimeperiod.

#### Parameters

v | The datetimeperiod value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_datetimeperiod ()

    ICalDatetimeperiod *
    i_cal_value_get_datetimeperiod (ICalValue *value);

Gets the datetimeperiod of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The datetimeperiod within ICalValue.

[nullable][transfer full]

Since: 1.0

### i_cal_value_set_geo ()

    void
    i_cal_value_set_geo (ICalValue *value,
                         ICalGeo *v);

Sets the geo in the ICalValue.

#### Parameters

value | The ICalValue |
v | The geo value |

Since: 1.0

### i_cal_value_new_geo ()

    ICalValue *
    i_cal_value_new_geo (ICalGeo *v);

Creates a new ICalValue with the type geo.

#### Parameters

v | The geo value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_geo ()

    ICalGeo *
    i_cal_value_get_geo (ICalValue *value);

Gets the geo of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The geo within ICalValue.

[nullable][transfer full]

Since: 1.0

### i_cal_value_set_attach ()

    void
    i_cal_value_set_attach (ICalValue *value,
                            ICalAttach *v);

Sets the attach in the ICalValue.

#### Parameters

value | The ICalValue |
v | The attach value |

Since: 1.0

### i_cal_value_new_attach ()

    ICalValue *
    i_cal_value_new_attach (ICalAttach *v);

Creates a new ICalValue with the type attach.

#### Parameters

v | The attach value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_attach ()

    ICalAttach *
    i_cal_value_get_attach (ICalValue *value);

Gets the attach of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The attach within ICalValue.

[nullable][transfer none]

Since: 1.0

### i_cal_value_reset_kind ()

    void
    i_cal_value_reset_kind (ICalValue *value);

Resets the kind of ICalValue.

#### Parameters

value | The ICalValue's kind to be reset |

Since: 1.0

### i_cal_value_set_xlicclass ()

    void
    i_cal_value_set_xlicclass (ICalValue *value,
                               ICalPropertyXlicclass v);

Sets the xlicclass in the ICalValue.

#### Parameters

value | The ICalValue |
v | The xlicclass value |

Since: 1.0

### i_cal_value_new_xlicclass ()

    ICalValue *
    i_cal_value_new_xlicclass (ICalPropertyXlicclass v);

Creates a new ICalValue with the type xlicclass.

#### Parameters

v | The xlicclass value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_xlicclass ()

    ICalPropertyXlicclass
    i_cal_value_get_xlicclass (ICalValue *value);

Gets the xlicclass of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The xlicclass within ICalValue

Since: 1.0

### i_cal_value_set_boolean ()

    void
    i_cal_value_set_boolean (ICalValue *value,
                             gint v);

Sets the boolean in the ICalValue.

#### Parameters

value | The ICalValue |
v | The boolean value |

Since: 1.0

### i_cal_value_new_boolean ()

    ICalValue *
    i_cal_value_new_boolean (gint v);

Creates a new ICalValue with the type boolean.

#### Parameters

v | The boolean value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_boolean ()

    gint
    i_cal_value_get_boolean (ICalValue *value);

Gets the boolean of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The boolean within ICalValue

Since: 1.0

### i_cal_value_set_busytype ()

    void
    i_cal_value_set_busytype (ICalValue *value,
                              ICalPropertyBusytype v);

Sets the busytype in the ICalValue.

#### Parameters

value | The ICalValue |
v | The busytype value |

Since: 2.0

### i_cal_value_new_busytype ()

    ICalValue *
    i_cal_value_new_busytype (ICalPropertyBusytype v);

Creates a new ICalValue with the type busytype.

#### Parameters

v | The busytype value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 2.0

### i_cal_value_get_busytype ()

    ICalPropertyBusytype
    i_cal_value_get_busytype (ICalValue *value);

Gets the busytype of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The busytype within ICalValue

Since: 2.0

### i_cal_value_set_pollcompletion ()

    void
    i_cal_value_set_pollcompletion (ICalValue *value,
                                    ICalPropertyPollcompletion v);

Sets the pollcompletion in the ICalValue.

#### Parameters

value | The ICalValue |
v | The pollcompletion value |

Since: 2.0

### i_cal_value_new_pollcompletion ()

    ICalValue *
    i_cal_value_new_pollcompletion (ICalPropertyPollcompletion v);

Creates a new ICalValue with the type pollcompletion.

#### Parameters

v | The pollcompletion value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 2.0

### i_cal_value_get_pollcompletion ()

    ICalPropertyPollcompletion
    i_cal_value_get_pollcompletion (ICalValue *value);

Gets the pollcompletion of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The pollcompletion within ICalValue

Since: 2.0

### i_cal_value_set_taskmode ()

    void
    i_cal_value_set_taskmode (ICalValue *value,
                              ICalPropertyTaskmode v);

Sets the taskmode in the ICalValue.

#### Parameters

value | The ICalValue |
v | The taskmode value |

Since: 2.0

### i_cal_value_new_taskmode ()

    ICalValue *
    i_cal_value_new_taskmode (ICalPropertyTaskmode v);

Creates a new ICalValue with the type taskmode.

#### Parameters

v | The taskmode value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 2.0

### i_cal_value_get_taskmode ()

    ICalPropertyTaskmode
    i_cal_value_get_taskmode (ICalValue *value);

Gets the taskmode of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The taskmode within ICalValue

Since: 2.0

### i_cal_value_set_pollmode ()

    void
    i_cal_value_set_pollmode (ICalValue *value,
                              ICalPropertyPollmode v);

Sets the pollmode in the ICalValue.

#### Parameters

value | The ICalValue |
v | The pollmode value |

Since: 2.0

### i_cal_value_new_pollmode ()

    ICalValue *
    i_cal_value_new_pollmode (ICalPropertyPollmode v);

Creates a new ICalValue with the type pollmode.

#### Parameters

v | The pollmode value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 2.0

### i_cal_value_get_pollmode ()

    ICalPropertyPollmode
    i_cal_value_get_pollmode (ICalValue *value);

Gets the pollmode of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The pollmode within ICalValue

Since: 2.0

### i_cal_value_set_utcoffset ()

    void
    i_cal_value_set_utcoffset (ICalValue *value,
                               gint v);

Sets the utcoffset in the ICalValue.

#### Parameters

value | The ICalValue |
v | The utcoffset value |

Since: 1.0

### i_cal_value_new_utcoffset ()

    ICalValue *
    i_cal_value_new_utcoffset (gint v);

Creates a new ICalValue with the type utcoffset.

#### Parameters

v | The utcoffset value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_utcoffset ()

    gint
    i_cal_value_get_utcoffset (ICalValue *value);

Gets the utcoffset of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The utcoffset within ICalValue

Since: 1.0

### i_cal_value_set_method ()

    void
    i_cal_value_set_method (ICalValue *value,
                            ICalPropertyMethod v);

Sets the method in the ICalValue.

#### Parameters

value | The ICalValue |
v | The method value |

Since: 1.0

### i_cal_value_new_method ()

    ICalValue *
    i_cal_value_new_method (ICalPropertyMethod v);

Creates a new ICalValue with the type method.

#### Parameters

v | The method value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_method ()

    ICalPropertyMethod
    i_cal_value_get_method (ICalValue *value);

Gets the method of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The method within ICalValue

Since: 1.0

### i_cal_value_set_caladdress ()

    void
    i_cal_value_set_caladdress (ICalValue *value,
                                const gchar *v);

Sets the caladdress in the ICalValue.

#### Parameters

value | The ICalValue |
v | The caladdress value |

Since: 1.0

### i_cal_value_new_caladdress ()

    ICalValue *
    i_cal_value_new_caladdress (const gchar *v);

Creates a new ICalValue with the type caladdress.

#### Parameters

v | The caladdress value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_caladdress ()

    const gchar *
    i_cal_value_get_caladdress (ICalValue *value);

Gets the caladdress of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The caladdress within ICalValue.

[nullable][transfer none]

Since: 1.0

### i_cal_value_set_period ()

    void
    i_cal_value_set_period (ICalValue *value,
                            ICalPeriod *v);

Sets the period in the ICalValue.

#### Parameters

value | The ICalValue |
v | The period value |

Since: 1.0

### i_cal_value_new_period ()

    ICalValue *
    i_cal_value_new_period (ICalPeriod *v);

Creates a new ICalValue with the type period.

#### Parameters

v | The period value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_period ()

    ICalPeriod *
    i_cal_value_get_period (ICalValue *value);

Gets the period of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The period within ICalValue.

[nullable][transfer full]

Since: 1.0

### i_cal_value_set_status ()

    void
    i_cal_value_set_status (ICalValue *value,
                            ICalPropertyStatus v);

Sets the status in the ICalValue.

#### Parameters

value | The ICalValue |
v | The status value |

Since: 1.0

### i_cal_value_new_status ()

    ICalValue *
    i_cal_value_new_status (ICalPropertyStatus v);

Creates a new ICalValue with the type status.

#### Parameters

v | The status value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_status ()

    ICalPropertyStatus
    i_cal_value_get_status (ICalValue *value);

Gets the status of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The status within ICalValue

Since: 1.0

### i_cal_value_set_binary ()

    void
    i_cal_value_set_binary (ICalValue *value,
                            const gchar *v);

Sets the binary in the ICalValue.

#### Parameters

value | The ICalValue |
v | The binary value |

Since: 1.0

### i_cal_value_new_binary ()

    ICalValue *
    i_cal_value_new_binary (const gchar *v);

Creates a new ICalValue with the type binary.

#### Parameters

v | The binary value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_binary ()

    const gchar *
    i_cal_value_get_binary (ICalValue *value);

Gets the binary of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The binary within ICalValue.

[nullable][transfer none]

Since: 1.0

### i_cal_value_set_text ()

    void
    i_cal_value_set_text (ICalValue *value,
                          const gchar *v);

Sets the text in the ICalValue.

#### Parameters

value | The ICalValue |
v | The text value |

Since: 1.0

### i_cal_value_new_text ()

    ICalValue *
    i_cal_value_new_text (const gchar *v);

Creates a new ICalValue with the type text.

#### Parameters

v | The text value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_text ()

    const gchar *
    i_cal_value_get_text (ICalValue *value);

Gets the text of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The text within ICalValue.

[nullable][transfer none]

Since: 1.0

### i_cal_value_set_duration ()

    void
    i_cal_value_set_duration (ICalValue *value,
                              ICalDuration *v);

Sets the duration in the ICalValue.

#### Parameters

value | The ICalValue |
v | The duration value |

Since: 1.0

### i_cal_value_new_duration ()

    ICalValue *
    i_cal_value_new_duration (ICalDuration *v);

Creates a new ICalValue with the type duration.

#### Parameters

v | The duration value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_duration ()

    ICalDuration *
    i_cal_value_get_duration (ICalValue *value);

Gets the duration of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The duration within ICalValue.

[nullable][transfer full]

Since: 1.0

### i_cal_value_set_integer ()

    void
    i_cal_value_set_integer (ICalValue *value,
                             gint v);

Sets the integer in the ICalValue.

#### Parameters

value | The ICalValue |
v | The integer value |

Since: 1.0

### i_cal_value_new_integer ()

    ICalValue *
    i_cal_value_new_integer (gint v);

Creates a new ICalValue with the type integer.

#### Parameters

v | The integer value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_integer ()

    gint
    i_cal_value_get_integer (ICalValue *value);

Gets the integer of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The integer within ICalValue

Since: 1.0

### i_cal_value_set_uri ()

    void
    i_cal_value_set_uri (ICalValue *value,
                         const gchar *v);

Sets the uri in the ICalValue.

#### Parameters

value | The ICalValue |
v | The uri value |

Since: 1.0

### i_cal_value_new_uri ()

    ICalValue *
    i_cal_value_new_uri (const gchar *v);

Creates a new ICalValue with the type uri.

#### Parameters

v | The uri value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_uri ()

    const gchar *
    i_cal_value_get_uri (ICalValue *value);

Gets the uri of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The uri within ICalValue.

[nullable][transfer none]

Since: 1.0

### i_cal_value_set_class ()

    void
    i_cal_value_set_class (ICalValue *value,
                           ICalProperty_Class v);

Sets the class in the ICalValue.

#### Parameters

value | The ICalValue |
v | The class value |

Since: 1.0

### i_cal_value_new_class ()

    ICalValue *
    i_cal_value_new_class (ICalProperty_Class v);

Creates a new ICalValue with the type class.

#### Parameters

v | The class value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_class ()

    ICalProperty_Class
    i_cal_value_get_class (ICalValue *value);

Gets the class of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The class within ICalValue

Since: 1.0

### i_cal_value_set_float ()

    void
    i_cal_value_set_float (ICalValue *value,
                           gdouble v);

Sets the float in the ICalValue.

#### Parameters

value | The ICalValue |
v | The float value |

Since: 1.0

### i_cal_value_new_float ()

    ICalValue *
    i_cal_value_new_float (gdouble v);

Creates a new ICalValue with the type float.

#### Parameters

v | The float value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_float ()

    gdouble
    i_cal_value_get_float (ICalValue *value);

Gets the float of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The float within ICalValue

Since: 1.0

### i_cal_value_set_query ()

    void
    i_cal_value_set_query (ICalValue *value,
                           const gchar *v);

Sets the query in the ICalValue.

#### Parameters

value | The ICalValue |
v | The query value |

Since: 1.0

### i_cal_value_new_query ()

    ICalValue *
    i_cal_value_new_query (const gchar *v);

Creates a new ICalValue with the type query.

#### Parameters

v | The query value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_query ()

    const gchar *
    i_cal_value_get_query (ICalValue *value);

Gets the query of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The query within ICalValue.

[nullable][transfer none]

Since: 1.0

### i_cal_value_set_string ()

    void
    i_cal_value_set_string (ICalValue *value,
                            const gchar *v);

Sets the string in the ICalValue.

#### Parameters

value | The ICalValue |
v | The string value |

Since: 1.0

### i_cal_value_new_string ()

    ICalValue *
    i_cal_value_new_string (const gchar *v);

Creates a new ICalValue with the type string.

#### Parameters

v | The string value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_string ()

    const gchar *
    i_cal_value_get_string (ICalValue *value);

Gets the string of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The string within ICalValue.

[nullable][transfer none]

Since: 1.0

### i_cal_value_set_transp ()

    void
    i_cal_value_set_transp (ICalValue *value,
                            ICalPropertyTransp v);

Sets the transp in the ICalValue.

#### Parameters

value | The ICalValue |
v | The transp value |

Since: 1.0

### i_cal_value_new_transp ()

    ICalValue *
    i_cal_value_new_transp (ICalPropertyTransp v);

Creates a new ICalValue with the type transp.

#### Parameters

v | The transp value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_transp ()

    ICalPropertyTransp
    i_cal_value_get_transp (ICalValue *value);

Gets the transp of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The transp within ICalValue

Since: 1.0

### i_cal_value_set_requeststatus ()

    void
    i_cal_value_set_requeststatus (ICalValue *value,
                                   ICalReqstat *v);

Sets the requeststatus in the ICalValue.

#### Parameters

value | The ICalValue |
v | The requeststatus value |

Since: 1.0

### i_cal_value_new_requeststatus ()

    ICalValue *
    i_cal_value_new_requeststatus (ICalReqstat *v);

Creates a new ICalValue with the type requeststatus.

#### Parameters

v | The requeststatus value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_requeststatus ()

    ICalReqstat *
    i_cal_value_get_requeststatus (ICalValue *value);

Gets the requeststatus of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The requeststatus within ICalValue.

[nullable][transfer full]

Since: 1.0

### i_cal_value_set_date ()

    void
    i_cal_value_set_date (ICalValue *value,
                          ICalTime *v);

Sets the date in the ICalValue.

#### Parameters

value | The ICalValue |
v | The date value |

Since: 1.0

### i_cal_value_new_date ()

    ICalValue *
    i_cal_value_new_date (ICalTime *v);

Creates a new ICalValue with the type date.

#### Parameters

v | The date value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_date ()

    ICalTime *
    i_cal_value_get_date (ICalValue *value);

Gets the date of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The date within ICalValue.

[nullable][transfer full]

Since: 1.0

### i_cal_value_set_action ()

    void
    i_cal_value_set_action (ICalValue *value,
                            ICalPropertyAction v);

Sets the action in the ICalValue.

#### Parameters

value | The ICalValue |
v | The action value |

Since: 1.0

### i_cal_value_new_action ()

    ICalValue *
    i_cal_value_new_action (ICalPropertyAction v);

Creates a new ICalValue with the type action.

#### Parameters

v | The action value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_action ()

    ICalPropertyAction
    i_cal_value_get_action (ICalValue *value);

Gets the action of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The action within ICalValue

Since: 1.0

### i_cal_value_set_cmd ()

    void
    i_cal_value_set_cmd (ICalValue *value,
                         ICalPropertyCmd v);

Sets the cmd in the ICalValue.

#### Parameters

value | The ICalValue |
v | The cmd value |

Since: 1.0

### i_cal_value_new_cmd ()

    ICalValue *
    i_cal_value_new_cmd (ICalPropertyCmd v);

Creates a new ICalValue with the type cmd.

#### Parameters

v | The cmd value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_cmd ()

    ICalPropertyCmd
    i_cal_value_get_cmd (ICalValue *value);

Gets the cmd of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The cmd within ICalValue

Since: 1.0

### i_cal_value_set_querylevel ()

    void
    i_cal_value_set_querylevel (ICalValue *value,
                                ICalPropertyQuerylevel v);

Sets the querylevel in the ICalValue.

#### Parameters

value | The ICalValue |
v | The querylevel value |

Since: 1.0

### i_cal_value_new_querylevel ()

    ICalValue *
    i_cal_value_new_querylevel (ICalPropertyQuerylevel v);

Creates a new ICalValue with the type querylevel.

#### Parameters

v | The querylevel value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_querylevel ()

    ICalPropertyQuerylevel
    i_cal_value_get_querylevel (ICalValue *value);

Gets the querylevel of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The querylevel within ICalValue

Since: 1.0

### i_cal_value_set_carlevel ()

    void
    i_cal_value_set_carlevel (ICalValue *value,
                              ICalPropertyCarlevel v);

Sets the carlevel in the ICalValue.

#### Parameters

value | The ICalValue |
v | The carlevel value |

Since: 1.0

### i_cal_value_new_carlevel ()

    ICalValue *
    i_cal_value_new_carlevel (ICalPropertyCarlevel v);

Creates a new ICalValue with the type carlevel.

#### Parameters

v | The carlevel value |

#### Returns

The newly created ICalValue.

[transfer full]

Since: 1.0

### i_cal_value_get_carlevel ()

    ICalPropertyCarlevel
    i_cal_value_get_carlevel (ICalValue *value);

Gets the carlevel of ICalValue.

#### Parameters

value | The ICalValue to be queried |

#### Returns

The carlevel within ICalValue

Since: 1.0

## Types and Values

### enum ICalValueKind

#### Members

I_CAL_ANY_VALUE |  |
I_CAL_ACTION_VALUE |  |
I_CAL_ATTACH_VALUE |  |
I_CAL_BINARY_VALUE |  |
I_CAL_BOOLEAN_VALUE |  |
I_CAL_BUSYTYPE_VALUE |  |
I_CAL_CALADDRESS_VALUE |  |
I_CAL_CARLEVEL_VALUE |  |
I_CAL_CLASS_VALUE |  |
I_CAL_CMD_VALUE |  |
I_CAL_DATE_VALUE |  |
I_CAL_DATETIME_VALUE |  |
I_CAL_DATETIMEDATE_VALUE |  |
I_CAL_DATETIMEPERIOD_VALUE |  |
I_CAL_DURATION_VALUE |  |
I_CAL_FLOAT_VALUE |  |
I_CAL_GEO_VALUE |  |
I_CAL_INTEGER_VALUE |  |
I_CAL_METHOD_VALUE |  |
I_CAL_PERIOD_VALUE |  |
I_CAL_POLLCOMPLETION_VALUE |  |
I_CAL_POLLMODE_VALUE |  |
I_CAL_QUERY_VALUE |  |
I_CAL_QUERYLEVEL_VALUE |  |
I_CAL_RECUR_VALUE |  |
I_CAL_REQUESTSTATUS_VALUE |  |
I_CAL_STATUS_VALUE |  |
I_CAL_STRING_VALUE |  |
I_CAL_TASKMODE_VALUE |  |
I_CAL_TEXT_VALUE |  |
I_CAL_TRANSP_VALUE |  |
I_CAL_TRIGGER_VALUE |  |
I_CAL_URI_VALUE |  |
I_CAL_UTCOFFSET_VALUE |  |
I_CAL_X_VALUE |  |
I_CAL_XLICCLASS_VALUE |  |
I_CAL_NO_VALUE |  |

### enum ICalPropertyAction

#### Members

I_CAL_ACTION_X |  |
I_CAL_ACTION_AUDIO |  |
I_CAL_ACTION_DISPLAY |  |
I_CAL_ACTION_EMAIL |  |
I_CAL_ACTION_PROCEDURE |  |
I_CAL_ACTION_NONE |  |

### enum ICalPropertyBusytype

#### Members

I_CAL_BUSYTYPE_X |  |
I_CAL_BUSYTYPE_BUSY |  |
I_CAL_BUSYTYPE_BUSYUNAVAILABLE |  |
I_CAL_BUSYTYPE_BUSYTENTATIVE |  |
I_CAL_BUSYTYPE_NONE |  |

### enum ICalPropertyCarlevel

#### Members

I_CAL_CARLEVEL_X |  |
I_CAL_CARLEVEL_CARNONE |  |
I_CAL_CARLEVEL_CARMIN |  |
I_CAL_CARLEVEL_CARFULL1 |  |
I_CAL_CARLEVEL_NONE |  |

### enum ICalProperty_Class

#### Members

I_CAL_CLASS_X |  |
I_CAL_CLASS_PUBLIC |  |
I_CAL_CLASS_PRIVATE |  |
I_CAL_CLASS_CONFIDENTIAL |  |
I_CAL_CLASS_NONE |  |

### enum ICalPropertyCmd

#### Members

I_CAL_CMD_X |  |
I_CAL_CMD_ABORT |  |
I_CAL_CMD_CONTINUE |  |
I_CAL_CMD_CREATE |  |
I_CAL_CMD_DELETE |  |
I_CAL_CMD_GENERATEUID |  |
I_CAL_CMD_GETCAPABILITY |  |
I_CAL_CMD_IDENTIFY |  |
I_CAL_CMD_MODIFY |  |
I_CAL_CMD_MOVE |  |
I_CAL_CMD_REPLY |  |
I_CAL_CMD_SEARCH |  |
I_CAL_CMD_SETLOCALE |  |
I_CAL_CMD_NONE |  |

### enum ICalPropertyMethod

#### Members

I_CAL_METHOD_X |  |
I_CAL_METHOD_PUBLISH |  |
I_CAL_METHOD_REQUEST |  |
I_CAL_METHOD_REPLY |  |
I_CAL_METHOD_ADD |  |
I_CAL_METHOD_CANCEL |  |
I_CAL_METHOD_REFRESH |  |
I_CAL_METHOD_COUNTER |  |
I_CAL_METHOD_DECLINECOUNTER |  |
I_CAL_METHOD_CREATE |  |
I_CAL_METHOD_READ |  |
I_CAL_METHOD_RESPONSE |  |
I_CAL_METHOD_MOVE |  |
I_CAL_METHOD_MODIFY |  |
I_CAL_METHOD_GENERATEUID |  |
I_CAL_METHOD_DELETE |  |
I_CAL_METHOD_NONE |  |

### enum ICalPropertyPollcompletion

#### Members

I_CAL_POLLCOMPLETION_X |  |
I_CAL_POLLCOMPLETION_SERVER |  |
I_CAL_POLLCOMPLETION_SERVERSUBMIT |  |
I_CAL_POLLCOMPLETION_SERVERCHOICE |  |
I_CAL_POLLCOMPLETION_CLIENT |  |
I_CAL_POLLCOMPLETION_NONE |  |

### enum ICalPropertyPollmode

#### Members

I_CAL_POLLMODE_X |  |
I_CAL_POLLMODE_BASIC |  |
I_CAL_POLLMODE_NONE |  |

### enum ICalPropertyQuerylevel

#### Members

I_CAL_QUERYLEVEL_X |  |
I_CAL_QUERYLEVEL_CALQL1 |  |
I_CAL_QUERYLEVEL_CALQLNONE |  |
I_CAL_QUERYLEVEL_NONE |  |

### enum ICalPropertyStatus

#### Members

I_CAL_STATUS_X |  |
I_CAL_STATUS_TENTATIVE |  |
I_CAL_STATUS_CONFIRMED |  |
I_CAL_STATUS_COMPLETED |  |
I_CAL_STATUS_NEEDSACTION |  |
I_CAL_STATUS_CANCELLED |  |
I_CAL_STATUS_INPROCESS |  |
I_CAL_STATUS_DRAFT |  |
I_CAL_STATUS_FINAL |  |
I_CAL_STATUS_SUBMITTED |  |
I_CAL_STATUS_PENDING |  |
I_CAL_STATUS_FAILED |  |
I_CAL_STATUS_DELETED |  |
I_CAL_STATUS_NONE |  |

### enum ICalPropertyTaskmode

#### Members

I_CAL_TASKMODE_X |  |
I_CAL_TASKMODE_AUTOMATICCOMPLETION |  |
I_CAL_TASKMODE_AUTOMATICFAILURE |  |
I_CAL_TASKMODE_AUTOMATICSTATUS |  |
I_CAL_TASKMODE_NONE |  |

### enum ICalPropertyTransp

#### Members

I_CAL_TRANSP_X |  |
I_CAL_TRANSP_OPAQUE |  |
I_CAL_TRANSP_OPAQUENOCONFLICT |  |
I_CAL_TRANSP_TRANSPARENT |  |
I_CAL_TRANSP_TRANSPARENTNOCONFLICT |  |
I_CAL_TRANSP_NONE |  |

### enum ICalPropertyXlicclass

#### Members

I_CAL_XLICCLASS_X |  |
I_CAL_XLICCLASS_PUBLISHNEW |  |
I_CAL_XLICCLASS_PUBLISHUPDATE |  |
I_CAL_XLICCLASS_PUBLISHFREEBUSY |  |
I_CAL_XLICCLASS_REQUESTNEW |  |
I_CAL_XLICCLASS_REQUESTUPDATE |  |
I_CAL_XLICCLASS_REQUESTRESCHEDULE |  |
I_CAL_XLICCLASS_REQUESTDELEGATE |  |
I_CAL_XLICCLASS_REQUESTNEWORGANIZER |  |
I_CAL_XLICCLASS_REQUESTFORWARD |  |
I_CAL_XLICCLASS_REQUESTSTATUS |  |
I_CAL_XLICCLASS_REQUESTFREEBUSY |  |
I_CAL_XLICCLASS_REPLYACCEPT |  |
I_CAL_XLICCLASS_REPLYDECLINE |  |
I_CAL_XLICCLASS_REPLYDELEGATE |  |
I_CAL_XLICCLASS_REPLYCRASHERACCEPT |  |
I_CAL_XLICCLASS_REPLYCRASHERDECLINE |  |
I_CAL_XLICCLASS_ADDINSTANCE |  |
I_CAL_XLICCLASS_CANCELEVENT |  |
I_CAL_XLICCLASS_CANCELINSTANCE |  |
I_CAL_XLICCLASS_CANCELALL |  |
I_CAL_XLICCLASS_REFRESH |  |
I_CAL_XLICCLASS_COUNTER |  |
I_CAL_XLICCLASS_DECLINECOUNTER |  |
I_CAL_XLICCLASS_MALFORMED |  |
I_CAL_XLICCLASS_OBSOLETE |  |
I_CAL_XLICCLASS_MISSEQUENCED |  |
I_CAL_XLICCLASS_UNKNOWN |  |
I_CAL_XLICCLASS_NONE |  |